package ajia.profile;

public aspect ProfilingAspect {
	pointcut publicOperations() : execution(public * *.*(..));
	
     Object around() : publicOperations() {
         long start = System.nanoTime();
         Object ret = proceed();
         long end = System.nanoTime();
         System.out.println(thisJoinPointStaticPart.getSignature() 
                            + " took " + (end-start) + " nanoseconds");
         return ret;
     }
}
